Bug 167929 - Bad: Can't start system-config-securitylevel
Bad: Can't start system-config-securitylevel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
http://forums.fedoraforum.org/archive...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-09 13:18 EDT by Hil
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.5.8.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 13:40:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hil 2005-09-09 13:18:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux 2.6.11-1.1369_FC4; X11; i686) KHTML/3.4.2 (like Gecko)

Description of problem:
I executed system-config-securitylevel and add "10080:tcp" to the "other port" 
field. I clicked on "OK" to save the settings. I restarted 
system-config-securitylevel and "10080:tcp" became "amanda:tcp". I added 
",10021:tcp" to "other port". I clicked on "OK" to save the settings. I could 
not start system-config-securitylevel anymore. Here was the error message from 
the console: 
Traceback (most recent call last): 
  File 
"/usr/share/system-config-securitylevel/system-config-securitylevel.py", line 
18, in ? 
    app.stand_alone() 
  File "/usr/share/system-config-securitylevel/securitylevel.py", line 453, in 
stand_alone 
    self.readFile() 
  File "/usr/share/system-config-securitylevel/securitylevel.py", line 353, in 
readFile 
    protoname = socket.getservbyport(int(service), protocol) 
socket.error: port/proto not found 
I edited /etc/sysconfig/system-config-securitylevel and removed the line 
"--port=10021:tcp". I could start system-config-securitylevel again. This bug 
does not exist in Fedora Core 3 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Execute system-config-securitylevel and add "10080:tcp" to the "other port"  
field. Click on "OK" to save the settings. 
2. Restart system-config-securitylevel and add ",10021:tcp" to "other port". 
Click on "OK" to save the settings. 
3. system-config-securitylevel can't be started anymore. 

Actual Results:  Fail to start system-config-securitylevel 

Expected Results:  Able to start system-config-securitylevel 

Additional info:

I suppose system-config-securitylevel does not take any port in "other port" 
field which does not have a name. 10080:tcp has a name amanda but 10021:tcp 
does not have a name. Having a port without a name causes 
system-config-securitylevel to fail to start.
Comment 1 Sergey Shevchenko 2005-10-21 11:25:42 EDT
A workaround is adding lines like
"servname     10080/tcp"
to the /etc/services
Comment 2 Hil 2005-10-21 12:25:36 EDT
(In reply to comment #1)
> A workaround is adding lines like
> "servname     10080/tcp"
> to the /etc/services

That solves the problem but system-config-securitylevel should take any port
number regardless of /etc/services.

Note You need to log in before you can comment on or make changes to this bug.